string1: bar
string2: !!str 10
preformattedtext: |
  This is the first line
  This is the second line
  Line breaks are preserved
  Indentation is stripped
list1:
 - head
 - shoulders
 - knees
 - toes
list2: [1, 1, 2, 3, 5, 8]
dict1: { head: 1, shoulders: 2, knees: 3, toes: 4}
integer1: 1
integer2: 2
float1: 3.14159
float2: 1.2345e+3
robots:
  childparam: a child namespace parameter
  child:
     grandchildparam: a grandchild namespace param
